Import a prospect list from another platform
curl --request POST \
--url https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list \
--header 'Content-Type: application/json' \
--data '
{
"importMethod": "email-import",
"sourcePlatform": "linkedin",
"sourceListId": "list_founders_eu",
"title": "Founder emails"
}
'import requests
url = "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list"
payload = {
"importMethod": "email-import",
"sourcePlatform": "linkedin",
"sourceListId": "list_founders_eu",
"title": "Founder emails"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
importMethod: 'email-import',
sourcePlatform: 'linkedin',
sourceListId: 'list_founders_eu',
title: 'Founder emails'
})
};
fetch('https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'importMethod' => 'email-import',
'sourcePlatform' => 'linkedin',
'sourceListId' => 'list_founders_eu',
'title' => 'Founder emails'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list"
payload := strings.NewReader("{\n \"importMethod\": \"email-import\",\n \"sourcePlatform\": \"linkedin\",\n \"sourceListId\": \"list_founders_eu\",\n \"title\": \"Founder emails\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list")
.header("Content-Type", "application/json")
.body("{\n \"importMethod\": \"email-import\",\n \"sourcePlatform\": \"linkedin\",\n \"sourceListId\": \"list_founders_eu\",\n \"title\": \"Founder emails\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"importMethod\": \"email-import\",\n \"sourcePlatform\": \"linkedin\",\n \"sourceListId\": \"list_founders_eu\",\n \"title\": \"Founder emails\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "list_founder_emails",
"importMethod": "email-import",
"sourcePlatform": "linkedin",
"sourceListId": "list_founders_eu"
}
}Prospects
Import a prospect list from another platform
Creates a new email or WhatsApp prospect list by copying compatible leads from an existing Optareach prospect list. Use email-import or whatsapp-import, respectively.
POST
/
api
/
v1
/
platforms
/
{platform}
/
prospect-lists
/
import-from-list
Import a prospect list from another platform
curl --request POST \
--url https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list \
--header 'Content-Type: application/json' \
--data '
{
"importMethod": "email-import",
"sourcePlatform": "linkedin",
"sourceListId": "list_founders_eu",
"title": "Founder emails"
}
'import requests
url = "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list"
payload = {
"importMethod": "email-import",
"sourcePlatform": "linkedin",
"sourceListId": "list_founders_eu",
"title": "Founder emails"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
importMethod: 'email-import',
sourcePlatform: 'linkedin',
sourceListId: 'list_founders_eu',
title: 'Founder emails'
})
};
fetch('https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'importMethod' => 'email-import',
'sourcePlatform' => 'linkedin',
'sourceListId' => 'list_founders_eu',
'title' => 'Founder emails'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list"
payload := strings.NewReader("{\n \"importMethod\": \"email-import\",\n \"sourcePlatform\": \"linkedin\",\n \"sourceListId\": \"list_founders_eu\",\n \"title\": \"Founder emails\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list")
.header("Content-Type", "application/json")
.body("{\n \"importMethod\": \"email-import\",\n \"sourcePlatform\": \"linkedin\",\n \"sourceListId\": \"list_founders_eu\",\n \"title\": \"Founder emails\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://optareach.com/api/v1/platforms/{platform}/prospect-lists/import-from-list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"importMethod\": \"email-import\",\n \"sourcePlatform\": \"linkedin\",\n \"sourceListId\": \"list_founders_eu\",\n \"title\": \"Founder emails\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "list_founder_emails",
"importMethod": "email-import",
"sourcePlatform": "linkedin",
"sourceListId": "list_founders_eu"
}
}Path Parameters
Body
application/json
Source list import payload. email-import is valid for email and whatsapp-import is valid for WhatsApp.
Response
201 - application/json
Source prospect list imported
Show child attributes
Show child attributes